Bug 11873 - Incompatiblity with make 3.82
Summary: Incompatiblity with make 3.82
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: manual (show other bugs)
Version: 2.11
: P2 normal
Target Milestone: ---
Assignee: Roland McGrath
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-03 20:02 IST by Elias Pipping
Modified: 2014-06-30 17:25 IST (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elias Pipping 2010-08-03 20:02:23 IST
GNU make 3.82 has introduced some backward incompatibilities. As a result,
glibc cannot be built with make 3.82. Here's what happens:

pipping@bogus ~/glibc-2.11.2/manual $ ~/make-3.82/make  -n
Makefile:235: *** mixed implicit and normal rules.  Stop.
pipping@bogus ~/glibc-2.11.2/manual $ 

Here's what's supposed to happen:

pipping@bogus ~/glibc-2.11.2/manual $ ~/make-3.81/make  -n
pwd=`pwd`; \
        /usr/bin/perl libm-err-tab.pl $pwd/.. > libm-err-tmp
/bin/sh ../scripts/move-if-change libm-err-tmp libm-err.texi
touch stamp-libm-err
sed -e 's,[{}],@&,g'                            \
            -e 's,/\*\(@.*\)\*/,\1,g'                   \
            -e 's,/\*  *,/* @r{,g' -e 's,  *\*/,} */,'  \
            -e 's/\(@[a-z][a-z]*\)@{\([^}]*\)@}/\1{\2}/g'\
            examples/stpcpy.c | expand > stpcpy.c.texi.new
mv -f stpcpy.c.texi.new stpcpy.c.texi
[..]

The offending line is

  $(objpfx)stubs ../po/manual.pot $(objpfx)stamp%:

Current git HEAD has it, too.
Comment 1 Mike Frysinger 2010-09-29 23:06:11 IST
this as been fixed in commit 32cf40699346d37fabfa887bbd95e95004799ae1

perhaps someone would like to close this bug as "fixed" ...
Comment 2 Petr Baudis 2010-09-30 08:24:33 IST
But why not do it yourself?
Comment 3 Mike Frysinger 2010-09-30 15:24:56 IST
maybe because i'm not the bug reporter and no one has granted me bugzilla
privileges ?